
def random_number_generator(min_value, max_value):
    import argparse
    import random
    
    parser = argparse.ArgumentParser(description='Generate a random number between min_value and max_value')
    parser.add_argument('--min', type=int, required=True, help='Minimum value for the random number')
    parser.add_argument('--max', type=int, required=True, help='Maximum value for the random number')
    
    args = parser.parse_args()
    
    return random.randint(args.min, args.max)



